prompt {base} | R Documentation

## Produce Prototype of an R Documentation File

### Description

Facilitate the constructing of files documenting R functions.

### Usage

    prompt(object, ...)

    prompt.default(object,
        filename = paste(name, ".Rd", sep = ""),
        force.function = FALSE)

    prompt.data.frame(object,
        filename = paste(name, ".Rd", sep = ""))

### Arguments

`object` | an R object, typically a function
`filename` | name of the output file
`force.function` | treat `object` as function in any case

### Details

An ASCII file `filename` is produced containing the proper function and argument names of `object`. You have to edit it before adding the documentation to the source tree, i.e., (currently) to ``$R_HOME/src/library/base/man/`'.

### Note

The documentation file produced by `prompt.data.frame` does not have the same format as many of the data frame documentation files in the `base` library. We are trying to settle on a preferred format for the documentation.

### Author(s)

Douglas Bates for `prompt.data.frame`

### See Also

`help` and the chapter on ``Writing R documentation'' in ``Writing R Extensions'' (see the ``doc/manual`' subdirectory of the R source tree).

### Examples

    prompt(plot.default)
    prompt(interactive, force.function = TRUE)
    unlink("plot.default.Rd")
    unlink("interactive.Rd")

    data(women)
    prompt(women)
    unlink("women.Rd")